﻿
namespace DKE_Kinect.Entwicklung.Core
{
    /// <summary>
    /// Status der Kinect (Datenquelle)
    /// </summary>
    public enum eKinectStatus
    {
        /// <summary>
        /// Kinect ist angeschlossen
        /// </summary>
        connected,
        /// <summary>
        /// Kinect ist nicht angeschlossen (keine Daten)
        /// </summary>
        disconnected,
        /// <summary>
        /// Ein Record wird gerade eingespielt
        /// </summary>
        playback
    }

    /// <summary>
    /// Modus der gerade aktiv ist (State)
    /// </summary>
    public enum eModus
    {
        /// <summary>
        /// Kinect wird gerade kalibriert
        /// </summary>
        calibration,
        /// <summary>
        /// Zeichenmodus ist aktiv
        /// </summary>
        painting,
        /// <summary>
        /// Bewegungsmodus ist aktiv
        /// </summary>
        moving,
        /// <summary>
        /// Hauptmenü
        /// </summary>
        mainmenu,
        /// <summary>
        /// Quickmenü
        /// </summary>
        quickmenu,
        /// <summary>
        /// KameraModus
        /// </summary>
        camera,
        /// <summary>
        /// Radiergummi
        /// </summary>
        eraser,
        /// <summary>
        /// Farbwahl
        /// </summary>
        colormenu,
        /// <summary>
        /// Projektmenü mit Speicherfunktion
        /// </summary>
        savemenu,
        /// <summary>
        /// Projektmenü mit Ladefunktion
        /// </summary>
        loadmenu,
        /// <summary>
        /// Vor Laden/Erstellen eines Projekts
        /// </summary>
        preStart,
        /// <summary>
        /// CameraModeOrbital --> Orbital Move
        /// </summary>
        cameraModeOrbital,
        /// <summary>
        /// CameraModeLook --> LookAt Move
        /// </summary>
        cameraModeLook
    }
}
